Users and Passwords overview

Users and Passwords in Control Panel allows you to add users to your computer and to add users to a group. In Windows 2000, permissions and user rights usually are granted to groups. By adding a user to a group, you give the user all the permissions and user rights assigned to that group.

For instance, a member of the Users group can perform most of the tasks necessary to do his or her job, such as logging on to the computer, creating files and folders, running programs, and saving changes to files. However, only a member of the Administrators group can add users to groups, change user passwords, or modify most system settings.

Users and Passwords lets you create or change the password for local user accounts, which is useful when creating a new user account or if a user forgets a password. A local user account is an account created by this computer. If the computer is part of a network, you can add network user accounts to groups on your computer, and those users can use their network passwords to log on. You cannot change the password of network user.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to use Users and Passwords.
  • Users and Passwords is located in Control Panel.
  • You cannot create groups using Users and Passwords. Use Local Users and Groups for that purpose.
  • In Users and Passwords, you can place a user in only one group. Usually you can find a group with the combination of permissions needed by any user. If you need to add a user to more than one group, use Local Users and Groups.
  • To improve the security of a password, it should contain at least two of these elements: uppercase letters, lowercase letters, and numbers. The more random the sequence of characters, the more secure the password.
  • If you want to set up other password requirements such as minimum length, expiration time, or uniqueness, open Group Policy and go to Password Policy. For more information about changing password requirements, see Related Topics.

Related Topics


Add a new user to the computer

To add a new user to the computer

  1. Open Users and Passwords in Control Panel.
  2. Click Add.
  3. Follow the instructions on the screen.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to use Users and Passwords.
  • If the computer is part of a domain, Add New User gives an existing domain user permission to use the computer. If the computer is not part of a domain, Add New User creates a new local user.
  • If the computer is part of a domain, you can only add existing domain users with Users and Passwords. To add a new local user, click the Advanced tab and then click the Advanced button. In Local Users and Groups, click Users, click Action, and then click Create User.
  • You should not add a new user to the Administrators group unless the user will perform only administrative tasks. For more information, see Related Topics.


Change a user's password

To change a user's password

  1. Open Users and Passwords in Control Panel.
  2. Click the name of the user whose password you want to change, and then click Set Password.
  3. Enter the new password in New Password and Confirm New Password, and then click OK.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to use Users and Passwords.
  • You can change passwords only for local computer accounts, such as Guest, Administrator, or accounts you create for your computer.
  • To change your own network logon password, press CTRL+ALT+DELETE and then click Change Password.


Change the group a user belongs to

To change the group a user belongs to

  1. Open Users and Passwords in Control Panel.
  2. Under Users for this computer, click the user account name, and then click Properties.
  3. On the Group Membership tab, click the group you want, and then click OK.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to use Users and Passwords.
  • You should not add a new user to the Administrators group unless the user will perform only administrative tasks. For more information, see Related Topics.
  • If you want a user to belong to more than one group, use Local Users and Groups. To open Local Users and Groups, in the Users and Passwords dialog box, click the Advanced tab, and then click Advanced. Double-click Groups, and then add the user to the groups you want.


Back up a certificate

To back up a certificate

  1. Open Users and Passwords in Control Panel.
  2. On the Advanced tab, click Certificates.
  3. In Certificate Manager, click the certificate or certificates you want to back up.
  4. Click Export, and then follow the instructions on the screen.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to use Users and Passwords.
  • For more information about using Certificate Manager, see Related Topics.


Delete a certificate

To delete a certificate

  1. Open Users and Passwords in Control Panel.
  2. On the Advanced tab, click Certificates.
  3. In Certificate Manager, click the certificate you want to delete, and then click Remove.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to use Users and Passwords.
  • Make sure that you no longer need a certificate before deleting it. Otherwise, you may not be able to access resources covered by the certificate.
  • For more information about using Certificate Manager, see Related Topics.


Request a new certificate

To request a new certificate

  1. Open Users and Passwords in Control Panel.
  2. On the Advanced tab, click New Certificate.
  3. Follow the instructions on the screen.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to use Users and Passwords.
  • The New Certificate button will function only if a Windows 2000 Enterprise certification authority is present in the domain to which your computer belongs. For more information about certificates and certification authorities, see Related Topics.


Change trust settings on a certificate

To change trust settings on a certificate

  1. Open Users and Passwords in Control Panel.
  2. On the Advanced tab, click Certificates.
  3. In Certificate Manager, click the tab that has the certificate you want to change, click the certificate, and then click View.
  4. Click the Details tab, click the Field you want to change, and then click Edit Properties.
  5. In Certificate purposes, click Enable only the following purposes.
  6. Make the changes you want, and then click OK.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to use Users and Passwords.
  • For more information about certificates, see Related Topics.


Transfer a certificate from another computer

To transfer a certificate from another computer

  1. Open Users and Passwords in Control Panel.
  2. On the Advanced tab, click Certificates.
  3. In Certificate Manager, click Import, and follow the instructions on the screen.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to use Users and Passwords.
  • For more information about using Certificate Manager, see Related Topics.


Require or disable a logon password in a workgroup setting

To require or disable a logon password in a workgroup setting

  1. Open Users and Passwords in Control Panel.
  2. On the Users tab, do one of the following:
    • Click the Users must enter a user name and password to use this computer check box to require users to provide this information when they log on.
    • Clear the Users must enter a user name and password to use this computer check box to allow a user to automatically log on. You will be prompted to provide the name and password of the user who will be automatically logged on each time the computer starts.

Notes

  • The Users must enter a user name and password to use this computer check box only appears if your computer is not connected to a network domain.
  • You must be logged on as an administrator or a member of the Administrators group to use Users and Passwords.
  • Requiring users to enter a name and password provides secure protection for your computer. Windows 2000 verifies each account and provides access to the computer only if the information is correct.
  • If only one person uses the computer or the security risk is low, you might find it convenient to allow Windows 2000 to automatically log on each time you start the computer.


Require pressing CTRL+ALT+DELETE before logging on

To require pressing CTRL+ALT+DELETE before logging on

  1. Open Users and Passwords in Control Panel.
  2. Click the Advanced tab.
  3. In Secure Boot Settings, click Require users to press Ctrl-Alt-Delete before logging on.

Notes

  • You must be logged on as an administrator or a member of the Administrators group to use Users and Passwords.
  • Pressing CTRL+ALT+DELETE before logging on guarantees that the authentic Windows 2000 logon prompt appears. Requiring the use of CTRL+ALT+DELETE increases security and helps to thwart certain Trojan horse programs.